Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 22 Sep 2020 05:01:46 +0000

Hi Abhishek Sisodia,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hello,

I hope you’re having a great day, anyways I order alot of stuff more then 5 thousand riyals and they told me deliver will come 21 sep in the morning! Now its 2pm no one has called I’ve called every number the branch has  there is no one is answering  I’ve ordered in king abdullah road king fahad area 
Store manger email: [email-masked] 
Phone number: 0115203071. There is someone named Faisal that works in this branch which apparently he is the storage Manger he refused to give me his email and full name because he was very rude and didnt not handle my problem correctly! I want to file a A complaint to this person who is the storage manger in King Abdullah road I’m very disappointed since 10 am I’ve been calling the branchs number no one has answered!! Alright so I ordered on Friday stuff worth more then 5 thousand riyals and they told me step 21 at 10 am the will deliver it to me! No one has contacted me until now 2:33pm and i kept on calling them no one has replied I’ve called since 10am I have proof of what im saying i will attach everything in this email. 
It wasn’t my responsibility for them being late and i had no option i had to drive to store king abullah road and go to the manger which i put his phone number and email. And the storage manger his name was faisal he refused to give me is email so i can File a complaint he was rude and disrespectful he didn’t fix the problem he just made it worse and i have alot of stuff more then 5 thousand riyals is this is how you treat your costumers I’m very disappointed and i want action taken on the stoarge manger named Faisal They just contacted me when it’s supposed to me 10 am in the morning! For delivery This is unacceptable And storage manger named Faisal refused to give me his email he was so rude to me and i want action taken! They way he talked and used his words were very unprofessional and not reasonable. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1498843